.NET

Reply
Member
wcruzcc
Posts: 4
Registered: ‎06-02-2009
Message 1 of 2 (194 Views)
Accepted Solution

Help with "CreateExtrudedSolid" & "sweepoptions "

194 Views, 1 Replies
04-18-2013 04:28 PM

In the past I used "AddExtrudedSolid" to extrude a region without any problems, worked like a charm see "old" code below.

 

F3D = AcadDoc.ModelSpace.AddExtrudedSolid(AcadRegion, Math.Abs(CollThickness(x)), 0)

 

I'm currently updating the code because "AddExtrudedSolid" is now known as "CreateExtrudedSolid". In the new version, my last parameter is asking for a "sweepoptions". Doesn't matter what I put there, it doesn't like it. See the code below. What do I need to do to make it work?

 

Dim so As SweepOptions
F3D = acSol3D.CreateExtrudedSolid(AcadRegion, Math.Abs(CollThickness(x)), so )

 

Try this code snip it's working on A2010:
sold.CreateExtrudedSolid(curv, New Vector3d(1, 2, 20), New SweepOptions())
Change vector and curve to your settings
*Expert Elite*
Hallex
Posts: 1,569
Registered: ‎10-08-2008
Message 2 of 2 (173 Views)

Re: Help with "CreateExtrudedSolid" & "sweepoptions "

04-18-2013 10:23 PM in reply to: wcruzcc
Try this code snip it's working on A2010:
sold.CreateExtrudedSolid(curv, New Vector3d(1, 2, 20), New SweepOptions())
Change vector and curve to your settings
_____________________________________
C6309D9E0751D165D0934D0621DFF27919
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are You Going To Be @ AU 2014? Feel free to drop by our AU topic post and share your plans, plug a class that you're teaching, or simply check out who else from the community might be in attendance. Ohh and don't forgot to stop by the Autodesk Help | Learn | Collaborate booths in the Exhibit Hall and meet our community team if you get a chance!